System 2.0.0.0 4.0.0.0 System.Security.Cryptography.AsnEncodedData

X509 extensions are dynamic, extended properties that can be added to an X509 certificate and changed. The class can be used to create extensions that are associated with a certificate but are not part of a certificate as issued by a certification authority (CA).

In its most basic form, an X509 extension has an object identifier (OID), a Boolean value describing whether the extension is considered critical or not, and ASN-encoded data. Custom extensions can be registered in a file.

The.NET Framework includes implementations of several common X509 extensions:

. Describes the key usages of a certificate.

. Describes the constraints for a certificate.

. Describes the enhanced key usages of a certificate.

. Describes the key identifier. For example, used with XMLDSIG.

Represents an X509 extension.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor creates an empty object, unlike the other constructors for this class that use certificate information from either a byte array, a pointer or a certificate file to create the object.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  Use this constructor if the information to create the extension is already in an object.

  Initializes a new instance of the class.

  The encoded data to be used to create the extension.
  true if the extension is critical; otherwise false.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor uses information from the parameter to provide an object identifier for the extension.

  Initializes a new instance of the class.

  The object identifier used to identify the extension.
  The encoded data used to create the extension.
  true if the extension is critical; otherwise false.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor uses information from the parameter to provide an object identifier for the extension.

  Initializes a new instance of the class.

  A string representing the object identifier.
  The encoded data used to create the extension.
  true if the extension is critical; otherwise false.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  Use this method to copy the extension properties of the specified and add them to the instance of the class from which this method is called.

  Copies the extension properties of the specified object.

  The to be copied.
- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Use this property to designate whether an extension is critical.

  Gets a Boolean value indicating whether the extension is critical.